Bug 9931 - [Drosera] Needs a cool icon
Summary: [Drosera] Needs a cool icon
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-15 04:51 PDT by David Kilzer (:ddkilzer)
Modified: 2008-05-17 09:55 PDT (History)
4 users (show)

See Also:


Attachments
Icon proposal (26.66 KB, image/jpeg)
2006-07-18 05:07 PDT, Niels Leenheer (HTML5test)
no flags Details
Proposal in various sizes (118.39 KB, image/jpeg)
2006-07-18 05:25 PDT, Niels Leenheer (HTML5test)
no flags Details
Some more pixelpushing for 32x32 and 64x64 (117.76 KB, image/jpeg)
2006-07-18 05:58 PDT, Niels Leenheer (HTML5test)
no flags Details
Second proposal (183.49 KB, image/jpeg)
2006-07-19 04:10 PDT, Niels Leenheer (HTML5test)
no flags Details
OS X icon file of second proposal (58.39 KB, application/octet-stream)
2006-07-28 06:11 PDT, Niels Leenheer (HTML5test)
timothy: review+
Details
PNG of 512 x 512 pixel version (235.08 KB, image/png)
2007-02-08 03:54 PST, Niels Leenheer (HTML5test)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Kilzer (:ddkilzer) 2006-07-15 04:51:46 PDT
Drosera needs a cool icon.  The plain application icon just doesn't do anything for me.

I suppose people could pitch ideas for icons in this bug as well.  My initial thought was a drosera plant with icons of various WebKit-based applications "caught" like bugs in it, but that probably wouldn't scale down very well.  Maybe just the plant by itself would be cool enough, or a close-up of one "leaf" of the plant with the sticky tendrils visible.
Comment 1 Joost de Valk (AlthA) 2006-07-15 06:05:29 PDT
Perhaps Niels can be of assistance here? :)
Comment 2 Timothy Hatcher 2006-07-15 14:02:54 PDT
I have played with some ideas for an icon. But I have lost my skills in illustration. 
Comment 3 David Kilzer (:ddkilzer) 2006-07-15 14:21:57 PDT
Example images (accidentally posted to Bug 9932):

Attachment 9469 [details]
Attachment 9470 [details]

Comment 4 Niels Leenheer (HTML5test) 2006-07-18 05:07:39 PDT
Created attachment 9548 [details]
Icon proposal

I didn't have much time, but I managed to create the attached icon. If you guys are interested I will attach the original psd, which can be used to create multiple sizes with transparency.
Comment 5 Niels Leenheer (HTML5test) 2006-07-18 05:25:04 PDT
Created attachment 9549 [details]
Proposal in various sizes
Comment 6 Niels Leenheer (HTML5test) 2006-07-18 05:58:22 PDT
Created attachment 9551 [details]
Some more pixelpushing for 32x32 and 64x64
Comment 7 Timothy Hatcher 2006-07-18 08:39:55 PDT
I like the illustration style of this! However, it immediately says venus fly-trap to me.

Digging around google images I found another drosera picute that shows the unique look of a drosera plant.

http://myco-cheype.chez-alice.fr/images/Fleurs/drosera_intermedia2.jpg

They really don't have 2 sides like a venus fly-trap, but they do curl or contract the sticky tentacles around prey.
Comment 8 David Kilzer (:ddkilzer) 2006-07-18 09:16:42 PDT
(In reply to comment #7)
> They really don't have 2 sides like a venus fly-trap, but they do curl or
> contract the sticky tentacles around prey.

The interesting thing is what the "prey" should be (if it's part of the icon).  Should it be a real insect (like a fly), or should it be something abstract like a WebKit icon?  :)  The tentacles could represent the "attached" relationship that Drosera has with its "prey"....  Okay, I'll stop the analogy there.
Comment 9 Diego Miguel Virasoro 2006-07-19 02:00:24 PDT
> The interesting thing is what the "prey" should be (if it's part of the icon). 
> Should it be a real insect (like a fly), or should it be something abstract
> like a WebKit icon?  :)  The tentacles could represent the "attached"
Just a comment from a user... take it as you wish.

But shouldn't the "pray" rappresent the bugs in the code? In the end Drosera kills the bug, not the program itself. :) I wouldn't put the webkit icon, but that's just an opinion.
Comment 10 David Kilzer (:ddkilzer) 2006-07-19 03:25:42 PDT
(In reply to comment #9)
> But shouldn't the "pray" rappresent the bugs in the code? In the end Drosera
> kills the bug, not the program itself. :) I wouldn't put the webkit icon, but
> that's just an opinion.

Good point.  I guess it wasn't a very good analogy after all.  :)

Comment 11 Niels Leenheer (HTML5test) 2006-07-19 04:10:58 PDT
Created attachment 9565 [details]
Second proposal

Added a second proposal. This time a real drosera. The last was indeed a combination of a flytrap and a drosera. Regarding the pray: I think this will become to much detail.
Comment 12 Timothy Hatcher 2006-07-19 07:45:13 PDT
This looks great!
Comment 13 Niels Leenheer (HTML5test) 2006-07-28 06:11:30 PDT
Created attachment 9738 [details]
OS X icon file of second proposal

Added icon file which can be dropped in the Drosera package.
Comment 14 Timothy Hatcher 2006-08-02 11:02:28 PDT
Comment on attachment 9738 [details]
OS X icon file of second proposal

This is great, I am going to land this. We might consider adding a bug to the icon at some point. Can we get a large version of this 512x512 or larger?
Comment 15 Timothy Hatcher 2006-08-02 11:08:06 PDT
Landed in r15753.
Comment 16 Niels Leenheer (HTML5test) 2006-08-02 11:09:08 PDT
I created the icon at ~1200x1200, so I can create 512x512 without any problem. I'll attach it to this bug. I'll also add the original Photoshop file to this bug.
Comment 17 Niels Leenheer (HTML5test) 2007-02-08 03:54:36 PST
Created attachment 13051 [details]
PNG of 512 x 512 pixel version
Comment 18 Niels Leenheer (HTML5test) 2007-02-08 04:07:18 PST
The original Photoshop document at 1024 x 1024 pixels:
http://rakaz.nl/artwork/drosera/drosera1024.zip
Comment 19 Timothy Hatcher 2007-02-08 08:32:28 PST
Thanks Niels!
Comment 20 Timothy Hatcher 2008-05-17 09:55:55 PDT
Closing since Drosera has been replaced by the new Web Inspector debugger. Moving to the New Bugs component so the Drosera component can be closed and removed.